## Index

### Functions

- addCondition
- addPartitionKeyCondition
- addSortKeyCondition
- addUpdate
- createConditionFunctions
- createUpdateFunctions
- doAddCondition
- propertyDefinitionFunction
- updateDefinitionFunction

## Functions

### addCondition

- addCondition<R, T, K>(expressionType: ExpressionType, attributePath: K, request: R, metadata?: Metadata<T>): RequestConditionFunction<R, T, K>

- - Defined in dynamo/expression/request-expression-builder.ts:73

  return the condition-functions which then can apply a conditionDefinition to the given request.params and afterwards will return the request object (which allows chaining)

  #### Type parameters

  - #### R: ConditionalParamsHost

  - #### T

  - #### K: keyof T

  #### Parameters

  - ##### expressionType: ExpressionType

  - ##### attributePath: K

  - ##### request: R

  - ##### Optional metadata: Metadata<T>

  #### Returns RequestConditionFunction<R, T, K>

### addPartitionKeyCondition

- addPartitionKeyCondition<R>(keyName: keyof any, keyValue: any, request: R): R
- addPartitionKeyCondition<T, R>(keyName: keyof T, keyValue: any, request: R, metadata: Metadata<T>): R

- - Defined in dynamo/expression/request-expression-builder.ts:137

  #### Type parameters

  - #### R: StandardRequest<any, any, any>

  #### Parameters

  - ##### keyName: keyof any

  - ##### keyValue: any

  - ##### request: R

  #### Returns R

- - Defined in dynamo/expression/request-expression-builder.ts:142

  #### Type parameters

  - #### T

  - #### R: StandardRequest<T, any, any>

  #### Parameters

  - ##### keyName: keyof T

  - ##### keyValue: any

  - ##### request: R

  - ##### metadata: Metadata<T>

  #### Returns R

### addSortKeyCondition

- addSortKeyCondition<R>(keyName: keyof any, request: R): SortKeyConditionFunction<R>
- addSortKeyCondition<T, R>(keyName: keyof T, request: R, metadata: Metadata<T>): SortKeyConditionFunction<R>

- - Defined in dynamo/expression/request-expression-builder.ts:89

  #### Type parameters

  - #### R: ConditionalParamsHost

  #### Parameters

  - ##### keyName: keyof any

  - ##### request: R

  #### Returns SortKeyConditionFunction<R>

- - Defined in dynamo/expression/request-expression-builder.ts:94

  #### Type parameters

  - #### T

  - #### R: ConditionalParamsHost

  #### Parameters

  - ##### keyName: keyof T

  - ##### request: R

  - ##### metadata: Metadata<T>

  #### Returns SortKeyConditionFunction<R>

### addUpdate

- addUpdate<R, T, K>(attributePath: K, request: R, metadata: Metadata<T>): RequestUpdateFunction<R, T, K>

- - Defined in dynamo/expression/request-expression-builder.ts:38

  return the update-functions which then can apply an updateDefinition to the given request.params and afterwards will return the request object (which allows chaining)

  #### Type parameters

  - #### R: UpdateParamsHost

  - #### T

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  - ##### request: R

  - ##### metadata: Metadata<T>

  #### Returns RequestUpdateFunction<R, T, K>

### createConditionFunctions

- createConditionFunctions<T>(impl: function, ...operators: ConditionOperator[]): T

- - Defined in dynamo/expression/request-expression-builder.ts:233

  Creates an object which contains callable functions for all aliases defined in CONDITION_OPERATOR_ALIAS or if operators parameter is defined, for all the values included in operators

  #### Type parameters

  - #### T

  #### Parameters

  - ##### impl: function

    The function which is called with the operator and returns a function which expects the value for the condition. when executed the implementation defines what to do with the condition, just return it for example or add the condition to the request parameters as another example

    - - (operator: ConditionOperator): any

      - #### Parameters

        - ##### operator: ConditionOperator

        #### Returns any

  - ##### Rest ...operators: ConditionOperator[]

  #### Returns T

### createUpdateFunctions

- createUpdateFunctions<T>(impl: function): T

- - Defined in dynamo/expression/request-expression-builder.ts:214

  Creates an object which contains callable functions for all update operations defined in update-operation type for all the values included in operators

  #### Type parameters

  - #### T

  #### Parameters

  - ##### impl: function

    The function which is called with the operator and returns a function which expects the value for the condition. when executed the implementation defines what to do with the condition, just return it for example or add the condition to the request parameters as another example

    - - (operation: UpdateActionDef): any

      - #### Parameters

        - ##### operation: UpdateActionDef

        #### Returns any

  #### Returns T

### doAddCondition

- doAddCondition<T, R>(expressionType: ExpressionType, attributePath: string, request: R, metadata: Metadata<T> | undefined, operator: ConditionOperator, ...values: any[]): R

- - Defined in dynamo/expression/request-expression-builder.ts:117

  #### Type parameters

  - #### T

  - #### R: ConditionalParamsHost

  #### Parameters

  - ##### expressionType: ExpressionType

  - ##### attributePath: string

  - ##### request: R

  - ##### metadata: Metadata<T> | undefined

  - ##### operator: ConditionOperator

  - ##### Rest ...values: any[]

  #### Returns R

### propertyDefinitionFunction

- propertyDefinitionFunction<T>(attributePath: keyof T): ConditionExpressionDefinitionChain
- propertyDefinitionFunction<T, K>(attributePath: K): ConditionExpressionDefinitionChainTyped<T, K>

- - Defined in dynamo/expression/request-expression-builder.ts:188

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns ConditionExpressionDefinitionChain

- - Defined in dynamo/expression/request-expression-builder.ts:189

  #### Type parameters

  - #### T

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns ConditionExpressionDefinitionChainTyped<T, K>

### updateDefinitionFunction

- updateDefinitionFunction(attributePath: string): UpdateExpressionDefinitionChain
- updateDefinitionFunction<T>(attributePath: keyof T): UpdateExpressionDefinitionChain
- updateDefinitionFunction<T, K>(attributePath: K): UpdateExpressionDefinitionChainTyped<T, K>

- - Defined in dynamo/expression/request-expression-builder.ts:161

  #### Parameters

  - ##### attributePath: string

  #### Returns UpdateExpressionDefinitionChain

- - Defined in dynamo/expression/request-expression-builder.ts:162

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns UpdateExpressionDefinitionChain

- - Defined in dynamo/expression/request-expression-builder.ts:163

  #### Type parameters

  - #### T

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns UpdateExpressionDefinitionChainTyped<T, K>

Generated using TypeDoc